HyphenHyphen
HomeConsole
  • Get Started
  • Connect your coding agent
  • Build with Hyphen
  • Chat UIs & automation
  • Recipes
  • Guides
  • API Reference
Information
Chat
    Create a chat completionpost
Responses
    Create a model response (Responses API)post
Messages
    Create a message (Anthropic Messages API)post
Models
    List available modelsget
Schemas
powered by Zudoku
Hyphen Gateway API
Hyphen Gateway API

Models

Discover available models.


List available models

GET
https://api.hyphen-solution.com
/v1/models

Returns the model IDs available to your key — the current catalog of real provider model names. The catalog can change with notice.

List available models › Responses

A list of models.

ModelList
object
​string
​object[]
GET/v1/models
curl https://api.hyphen-solution.com/v1/models \ --header 'Authorization: Bearer <token>'
Example Responses
{ "object": "list", "data": [ { "id": "minimax-m2", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2-her", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.1", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.1-highspeed", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.5", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.5-highspeed", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.7", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m2.7-highspeed", "object": "model", "owned_by": "minimax" }, { "id": "minimax-m3", "object": "model", "owned_by": "minimax" }, { "id": "minimax-text-01", "object": "model", "owned_by": "minimax" } ] }
json
application/json

Messages